> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Component Tree



## OpenAPI

````yaml GET /api/v1/status-pages/{id}/components
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v1/status-pages/{id}/components:
    get:
      tags:
        - status-pages
      summary: Get component tree with uptime data
      operationId: PublicComponentController_getComponentTree_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: days
          required: false
          in: query
          schema: {}
      responses:
        '200':
          description: ''

````